본문으로 건너뛰기
API 레퍼런스
API 레퍼런스

가드레일 할당 삭제

API 키 또는 계정 멤버 대상에서 가드레일을 제거합니다.

API 키 또는 계정 멤버 대상에서 가드레일을 제거합니다.

엔드포인트

DELETE /api/v1/guardrail_assignments/:id
Base URL
https://runapi.ai
API 버전
v1
인증
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
Authorization
계정 관리자는 모든 할당을 제거할 수 있습니다. 관리자가 아닌 사용자는 자신의 API 키에 대한 할당만 제거할 수 있습니다.
02

요청

JSON 본문

나열된 요청 위치에만 값을 전송하세요.

경로 매개변수필드 1개
idstring
필수

Guardrail 할당 접두사 ID.

03

성공 응답

HTTP 204

DELETE /api/v1/guardrail_assignments/:id

이 응답에는 본문이 없습니다.

04

오류 응답 (401)

HTTP 401
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Authentication required"
}
05

오류 응답 (403)

HTTP 403
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Management API key required"
}
06

오류 응답 (403)

HTTP 403
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Forbidden"
}
07

오류 응답 (404)

HTTP 404
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Resource not found"
}
08

cURL 예시

CURL
curl -X DELETE https://runapi.ai/api/v1/guardrail_assignments/guardrail_assignment_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'